libzypp: zypp::repo::RepoMediaAccess::Impl Class Reference

libzypp 17.36.6

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
zypp::repo::RepoMediaAccess::Impl Class Reference

## Public Member Functions
| Impl (ProvideFilePolicy &&defaultPolicy_r)
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| ~Impl ()
shared_ptr< MediaSetAccess > | mediaAccessForUrl (const Url &url, RepoInfo repo)
| Provide a MediaSetAccess for `url` with label and verifier adjusted.

## Public Attributes
ProvideFilePolicy | _defaultPolicy

## Private Member Functions
void | setVerifierForRepo (const RepoInfo &repo, const shared_ptr< MediaSetAccess > &media)

## Private Attributes
std::map< shared_ptr< MediaSetAccess >, RepoInfo > | _verifier
std::map< Url, shared_ptr< MediaSetAccess > > | _medias

## Detailed Description

Definition at line 129 of file RepoProvideFile.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::repo::RepoMediaAccess::Impl::Impl | ( | ProvideFilePolicy && | defaultPolicy_r | ) |
| inline

Definition at line 132 of file RepoProvideFile.cc.

## ◆ Impl() [2/3]

zypp::repo::RepoMediaAccess::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/3]

zypp::repo::RepoMediaAccess::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::repo::RepoMediaAccess::Impl::~Impl | ( |  | ) |
| inline

Definition at line 140 of file RepoProvideFile.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::repo::RepoMediaAccess::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::repo::RepoMediaAccess::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ mediaAccessForUrl()

shared_ptr< MediaSetAccess > zypp::repo::RepoMediaAccess::Impl::mediaAccessForUrl | ( | const Url & | url,
|  | RepoInfo | repo )
| inline

Provide a MediaSetAccess for `url` with label and verifier adjusted.

As the same url (e.g. `'dvd:///'` ) might be used for multiple repos we must always adjust the repo specific data (label,verifier).

Todo
  This mixture of media and repos specific data is fragile.

Definition at line 158 of file RepoProvideFile.cc.

## ◆ setVerifierForRepo()

void zypp::repo::RepoMediaAccess::Impl::setVerifierForRepo | ( | const RepoInfo & | repo,
|  | const shared_ptr< MediaSetAccess > & | media )
| inlineprivate

Definition at line 177 of file RepoProvideFile.cc.

## Member Data Documentation

## ◆ _verifier

std::map<shared_ptr<MediaSetAccess>, RepoInfo> zypp::repo::RepoMediaAccess::Impl::_verifier
| private

Definition at line 225 of file RepoProvideFile.cc.

## ◆ _medias

std::map<Url, shared_ptr<MediaSetAccess> > zypp::repo::RepoMediaAccess::Impl::_medias
| private

Definition at line 226 of file RepoProvideFile.cc.

## ◆ _defaultPolicy

ProvideFilePolicy zypp::repo::RepoMediaAccess::Impl::_defaultPolicy

Definition at line 229 of file RepoProvideFile.cc.

The documentation for this class was generated from the following file:

- zypp/repo/RepoProvideFile.cc